# Gimp.Drawable.edit_bucket_fill

    @accepts(Gimp.Drawable, Gimp.FillType, float, float)
    @returns(bool)
    def edit_bucket_fill(self, fill_type, x, y):
        # Python wrapper for gimp_drawable_edit_bucket_fill()

Fill the area by a seed fill starting at the specified coordinates.

This procedure does a seed fill at the specified coordinates, using various parameters from the current context. In the case of merged sampling, the x and y coordinates are relative to the image's origin; otherwise, they are relative to the drawable's origin.

This procedure is affected by the following context setters: Gimp.context_set_opacity, Gimp.context_set_paint_mode, Gimp.context_set_foreground, Gimp.context_set_background, Gimp.context_set_pattern, Gimp.context_set_sample_threshold, Gimp.context_set_sample_merged, Gimp.context_set_sample_criterion, Gimp.context_set_diagonal_neighbors, Gimp.context_set_antialias.

Since 2.10

self

  The affected drawable.

fill_type

  The type of fill.

x

  The x coordinate of this bucket fill's application.

y

  The y coordinate of this bucket fill's application.

Returns